package se.su.dsv.scipro.notifications

import javax.inject.{Singleton, Provider, Inject}

import com.google.common.eventbus.EventBus

@Singleton
class Notifications @Inject()(notificationControllerProvider: Provider[NotificationController], eventBus: EventBus)
  extends GradingReportNotifications with ProjectNotifications with FinalSeminarNotifications
  with PeerRequestNotifications
{
  eventBus.register(this)

  override def notificationController: NotificationController = notificationControllerProvider.get
}
