package se.su.dsv.scipro.basepages.errorpages;

import org.apache.wicket.request.http.WebResponse;

import javax.servlet.http.HttpServletResponse;

public class NotFoundPage extends AbstractErrorPage {

    public NotFoundPage() {
        super("The requested page was not found");
    }

    @Override
    protected void configureResponse(WebResponse webResponse) {
        super.configureResponse(webResponse);
        webResponse.setStatus(HttpServletResponse.SC_NOT_FOUND);
    }
}
