package se.su.dsv.scipro.date;

import se.su.dsv.scipro.data.enums.DateStyle;
import se.su.dsv.scipro.system.GenericService;

import java.util.Date;

public interface DateService extends GenericService<DateSetting, DateStyle> {
    String format(Date date);
    String format(Date date, DateStyle style);
    DateSetting saveFormat(String format, DateStyle style);
    String getFormat(DateStyle style);
}
